package com.ruoyi.jjh.declaration.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 审批记录信息对象 bms_approval_info
 * 
 * @author farben
 * @date 2023-09-09
 */
@Data
public class BmsApprovalInfoUpdateDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /** 申报记录id */
    @Excel(name = "申报记录id")
    private Long declarationRecordsId;

//    /** 审批状态(0=待审核.1=审批通过,2=审批驳回) */
    @ApiModelProperty("审批状态(1=审批通过,2=审批驳回,3=初审退回修改)")
    @Excel(name = "审批状态(1=审批通过,2=审批驳回,3=初审退回修改)")
    private Integer approvalStatus;

    /** 审批意见 */
    @Excel(name = "审批意见")
    private String approvalOpinions;

    /** 审批附件 */
    @Excel(name = "审批附件")
    private String approvalAttachment;

    @Excel(name = "排序")
    private Integer sort;

}
