package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 品牌打造奖补对象 bms_branding_award
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsBrandingAwardAddDto extends BmsEnterpriseBasicInfoAddDto implements Serializable {

    private static final long serialVersionUID = 1L;


    /** 所获荣誉/所举办活动 */
    @Excel(name = "所获荣誉/所举办活动")
    private String honorsReceived;

    /** 所属等级 */
    @Excel(name = "所属等级")
    private Long level;

    /** 证明材料 */
    @Excel(name = "证明材料")
    private String evidence;

    @ApiModelProperty(value = "在线申报记录id")
    private Long declarationId;
}
