package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 载体建设奖补对象 bms_carrier_construction_award
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsCarrierConstructionAwardAddDto extends BmsEnterpriseBasicInfoAddDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 文体企业数量占比 */
    @Excel(name = "文体企业数量占比")
    private String quantityProportion;

    /** 文体企业营收占比 */
    @Excel(name = "文体企业营收占比")
    private String revenueProportion;

    /** 文体企业从业人员占比 */
    @Excel(name = "文体企业从业人员占比")
    private String personnelProportion;

    /** 相关佐证材料 */
    @Excel(name = "相关佐证材料")
    private String supportingMaterials;

    /** 项目工商登记许可 */
    @Excel(name = "项目工商登记许可")
    private String businessLicense;

    /** 消防验收报告 */
    @Excel(name = "消防验收报告")
    private String fireReport;

    @ApiModelProperty(value = "在线申报记录id")
    private Long declarationId;
}
