package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

/**
 * 模板字段填写详情对象 bms_field_info
 * 
 * @author farben
 * @date 2023-09-04
 */
@Data
public class BmsFieldInfoAddDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 详情id */
    @Excel(name = "详情id")
    private Long detailId;

    /** 字段名称 */
    @Excel(name = "字段名称")
    private String fieldName;

    /** 字段说明 */
    @Excel(name = "字段说明")
    private String fieldResult;


}
