package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

/**
 * 文件存储说明详情对象 bms_file_info
 * 
 * @author farben
 * @date 2023-09-04
 */
@Data
public class BmsFileInfoAddDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 详情id */
    @Excel(name = "详情id")
    private Long detailId;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String fileName;

    /** 文件说明 */
    @Excel(name = "文件说明")
    private String fileDescription;

    /** 文件地址 */
    @Excel(name = "文件地址")
    private String fileUrl;

}
