package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 5G+工业互联网奖补对象 bms_industrial_internet_award
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsIndustrialInternetAwardAddDto extends BmsEnterpriseBasicInfoAddDto implements Serializable {
    private static final long serialVersionUID = 1L;


    /** 荣誉名称 */
    @Excel(name = "荣誉名称")
    private String honoraryName;

    /** 证明材料 */
    @Excel(name = "证明材料")
    private String material;

    @ApiModelProperty(value = "在线申报记录id")
    private Long declarationId;
}
