package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 物流发展奖补对象 bms_logistics_development_award
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsLogisticsDevelopmentAwardAddDto  extends BmsEnterpriseBasicInfoAddDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 荣誉证明文件 */
    @Excel(name = "荣誉证明文件")
    private String honorCertificate;

    /** 平台名称 */
    @Excel(name = "平台名称")
    private String platformName;

    /** 企业投资项目备案通知书或核准批复文件 */
    @Excel(name = "企业投资项目备案通知书或核准批复文件")
    private String filingNotice;

    /** 会计师事务所出具的企业财务报表审计报告 */
    @Excel(name = "会计师事务所出具的企业财务报表审计报告")
    private String auditReport;

    @ApiModelProperty(value = "在线申报记录id")
    private Long declarationId;
}
