package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 制造服务业有效投入奖补对象 bms_manufacturing_services_award
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsManufacturingServicesAwardAddDto extends BmsEnterpriseBasicInfoAddDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 企业投资项目备案通知书或核准批复文件 */
    @Excel(name = "企业投资项目备案通知书或核准批复文件")
    private String filingNotice;

    /** 购置设备发票清单及发票扫描件 */
    @Excel(name = "购置设备发票清单及发票扫描件")
    private String invoice;

    /** 会计师事务所出具的企业申报项目购置设备情况的专项审计报告 */
    @Excel(name = "会计师事务所出具的企业申报项目购置设备情况的专项审计报告")
    private String auditReport;

    /** 会计师事务所出具的企业财务报表审计报告 */
    @Excel(name = "会计师事务所出具的企业财务报表审计报告")
    private String financialStatements;

    @ApiModelProperty(value = "在线申报记录id")
    private Long declarationId;
}
