package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.declaration.entity.BmsManufacturingServicesAward;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 制造服务业有效投入奖补对象 bms_manufacturing_services_award
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsManufacturingServicesAwardUpdateDto extends BmsManufacturingServicesAward {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "记录id")
    private Long declarationRecordsId;

    @Excel(name = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "项目id")
    private Long projectId;

    @ApiModelProperty(value = "审批状态:0=待填报,1=初审中,2=复审中,3=终审中,5=评审通过,7=复审不通过,8=初审不通过,9=终审不通过，10=初审驳回")
    private Long status;
}
