package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.jjh.declaration.entity.BmsPlatformConstructionAward;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 平台建设奖补对象 bms_platform_construction_award
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsPlatformConstructionAwardUpdateDto extends BmsPlatformConstructionAward {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "记录id")
    private Long declarationRecordsId;

    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "项目id")
    private Long projectId;

    @ApiModelProperty(value = "审批状态:0=待填报,1=初审中,2=复审中,3=终审中,5=评审通过,7=复审不通过,8=初审不通过,9=终审不通过，10=初审驳回")
    private Long status;
}
