package com.ruoyi.jjh.declaration.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 市级评定
 * <p>
 *
 * @className: MunicipalReviewInfoDto
 * @author: emiya.xie
 * @create: 2023-09-13 16:30
 */
@Data
public class MunicipalReviewInfoDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "记录id")
    private Long declarationId;

    @ApiModelProperty(value = "企业id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    @ApiModelProperty(value = "企业统一信用代码")
    private String creditCode;

    @ApiModelProperty(value = "申报类型说明")
    private String declarationTypeStr;

    @ApiModelProperty(value = "年份")
    private String year;

    @ApiModelProperty(value = "市级评定结果")
    private String result;

    @ApiModelProperty(value = "结果")
    private Long status;

}
