package com.ruoyi.jjh.declaration.entity.vo;

import com.alibaba.fastjson2.annotation.JSONField;
import com.ruoyi.jjh.declaration.entity.BmsBigStrongAward;
import com.ruoyi.jjh.declaration.entity.BmsFundingDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
 * 做大做强奖详情对象 bms_big_strong_award
 *
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsBigStrongAwardQueryVo extends BmsBigStrongAward {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "应收列表")
    @JSONField(serialize = false)
    private List<BmsFundingDetail> fundingDetailList;
}
