package com.ruoyi.jjh.declaration.entity.vo;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 市局评审 查询
 * <p>
 *
 * @className: BmsDeclarationRecordsQueryVo
 * @author: emiya.xie
 * @create: 2023-08-28 17:54
 */
@Data
public class BmsMunicipalBureauReviewQueryVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @Excel(name = "对应id")
    private Long id;

    @ApiModelProperty(value = "统一信用代码")
    @Excel(name = "统一信用代码")
    private String creditCode;

    @ApiModelProperty(value = "企业名称")
    @Excel(name = "企业名称")
    private String enterpriseName;

    @ApiModelProperty(value = "申报类型")
    @Excel(name = "申报类型")
    private String projectName;

    @ApiModelProperty(value = "年份")
    @Excel(name = "年份")
    private String year;

    @ApiModelProperty(value = "市级评定结果，0：通过，1：不通过")
    @Excel(name = "市级评定结果，0：通过，1：不通过")
    private Integer result;

    @ApiModelProperty(value = "市级评定结果意见")
    @Excel(name = "市级评定结果意见")
    private String opinion;

}
