package com.ruoyi.jjh.declaration.entity.vo;

import com.alibaba.fastjson2.annotation.JSONField;
import com.ruoyi.jjh.declaration.entity.BmsFundingDetail;
import com.ruoyi.jjh.declaration.entity.BmsProjectSettlementAward;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
 * 项目落户奖补对象 bms_project_settlement_award
 *
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsProjectSettlementAwardQueryVo extends BmsProjectSettlementAward {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "应收列表")
    @JSONField(serialize = false)
    private List<BmsFundingDetail> fundingDetailList;
}
