package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsLogisticsDevelopmentAward;

import java.util.List;

/**
 * 物流发展奖补Mapper接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface BmsLogisticsDevelopmentAwardMapper extends BaseMapper<BmsLogisticsDevelopmentAward> {
    /**
     * 查询物流发展奖补
     * 
     * @param id 物流发展奖补主键
     * @return 物流发展奖补
     */
    public BmsLogisticsDevelopmentAward selectBmsLogisticsDevelopmentAwardById(Long id);

    /**
     * 查询物流发展奖补列表
     * 
     * @param bmsLogisticsDevelopmentAward 物流发展奖补
     * @return 物流发展奖补集合
     */
    public List<BmsLogisticsDevelopmentAward> selectBmsLogisticsDevelopmentAwardList(BmsLogisticsDevelopmentAward bmsLogisticsDevelopmentAward);

    /**
     * 新增物流发展奖补
     * 
     * @param bmsLogisticsDevelopmentAward 物流发展奖补
     * @return 结果
     */
    public int insertBmsLogisticsDevelopmentAward(BmsLogisticsDevelopmentAward bmsLogisticsDevelopmentAward);

    /**
     * 修改物流发展奖补
     * 
     * @param bmsLogisticsDevelopmentAward 物流发展奖补
     * @return 结果
     */
    public int updateBmsLogisticsDevelopmentAward(BmsLogisticsDevelopmentAward bmsLogisticsDevelopmentAward);

    /**
     * 删除物流发展奖补
     * 
     * @param id 物流发展奖补主键
     * @return 结果
     */
    public int deleteBmsLogisticsDevelopmentAwardById(Long id);

    /**
     * 批量删除物流发展奖补
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsLogisticsDevelopmentAwardByIds(Long[] ids);
}
