package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsManufacturingServicesAward;

import java.util.List;

/**
 * 制造服务业有效投入奖补Mapper接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface BmsManufacturingServicesAwardMapper extends BaseMapper<BmsManufacturingServicesAward> {
    /**
     * 查询制造服务业有效投入奖补
     * 
     * @param id 制造服务业有效投入奖补主键
     * @return 制造服务业有效投入奖补
     */
    public BmsManufacturingServicesAward selectBmsManufacturingServicesAwardById(Long id);

    /**
     * 查询制造服务业有效投入奖补列表
     * 
     * @param bmsManufacturingServicesAward 制造服务业有效投入奖补
     * @return 制造服务业有效投入奖补集合
     */
    public List<BmsManufacturingServicesAward> selectBmsManufacturingServicesAwardList(BmsManufacturingServicesAward bmsManufacturingServicesAward);

    /**
     * 新增制造服务业有效投入奖补
     * 
     * @param bmsManufacturingServicesAward 制造服务业有效投入奖补
     * @return 结果
     */
    public int insertBmsManufacturingServicesAward(BmsManufacturingServicesAward bmsManufacturingServicesAward);

    /**
     * 修改制造服务业有效投入奖补
     * 
     * @param bmsManufacturingServicesAward 制造服务业有效投入奖补
     * @return 结果
     */
    public int updateBmsManufacturingServicesAward(BmsManufacturingServicesAward bmsManufacturingServicesAward);

    /**
     * 删除制造服务业有效投入奖补
     * 
     * @param id 制造服务业有效投入奖补主键
     * @return 结果
     */
    public int deleteBmsManufacturingServicesAwardById(Long id);

    /**
     * 批量删除制造服务业有效投入奖补
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsManufacturingServicesAwardByIds(Long[] ids);
}
