package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.declaration.entity.BmsPlatformConstructionAward;

import java.util.List;

/**
 * 平台建设奖补Mapper接口
 * 
 * @author farben
 * @date 2023-08-25
 */
public interface BmsPlatformConstructionAwardMapper extends BaseMapper<BmsPlatformConstructionAward> {
    /**
     * 查询平台建设奖补
     * 
     * @param id 平台建设奖补主键
     * @return 平台建设奖补
     */
    public BmsPlatformConstructionAward selectBmsPlatformConstructionAwardById(Long id);

    /**
     * 查询平台建设奖补列表
     * 
     * @param bmsPlatformConstructionAward 平台建设奖补
     * @return 平台建设奖补集合
     */
    public List<BmsPlatformConstructionAward> selectBmsPlatformConstructionAwardList(BmsPlatformConstructionAward bmsPlatformConstructionAward);

    /**
     * 新增平台建设奖补
     * 
     * @param bmsPlatformConstructionAward 平台建设奖补
     * @return 结果
     */
    public int insertBmsPlatformConstructionAward(BmsPlatformConstructionAward bmsPlatformConstructionAward);

    /**
     * 修改平台建设奖补
     * 
     * @param bmsPlatformConstructionAward 平台建设奖补
     * @return 结果
     */
    public int updateBmsPlatformConstructionAward(BmsPlatformConstructionAward bmsPlatformConstructionAward);

    /**
     * 删除平台建设奖补
     * 
     * @param id 平台建设奖补主键
     * @return 结果
     */
    public int deleteBmsPlatformConstructionAwardById(Long id);

    /**
     * 批量删除平台建设奖补
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmsPlatformConstructionAwardByIds(Long[] ids);
}
