package com.ruoyi.jjh.declaration.service;

import com.ruoyi.jjh.declaration.entity.dto.BmsApprovalInfoUpdateDto;
import com.ruoyi.jjh.declaration.entity.dto.OpenInterfaceApplyAddDto;
import com.ruoyi.jjh.declaration.entity.vo.DeclarationRecordsVo;

import java.util.List;

/**
 * <p>
 * 公共服务
 * <p>
 *
 * @interfaceName: CommonService
 * @author: emiya.xie
 * @create: 2023-08-31 15:43
 */
public interface ICommonService {

    public Long checkEnterprise(String creditCode,int templateRecordId);

    public void checkDeclaration(String creditCode,int templateRecordId);

    public void checkEnterprise(Long enterpriseId,Long templateId);

    public void getData(int templateRecordId, Long detailId, DeclarationRecordsVo declarationRecordsVo);

    public void insertProcessInfo(Long declarationRecordId,Integer approvalType);

    public void insertAuditRecord(Long declarationRecordId,Integer approvalType);

    public void updateAuditRecord(Long declarationRecordId,Integer approvalType);


    public void cleanProcessList(Long declarationRecordId);

    public List<Long> getUserIds(Long userId);

    public int updateBmsApprovalInfo(BmsApprovalInfoUpdateDto bmsApprovalInfoUpdateDto);

    public int insertOpenInterfaceApplyAddDto(OpenInterfaceApplyAddDto openInterfaceApplyAddDto);

}
