package com.ruoyi.jjh.declaration.single.dto.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 政务端用户
 * @author du
 * @since 2024/6/4 11:05
 */
@Data
@ApiModel("政务端用户")
public class ChiefResponse {
    @ApiModelProperty("本系统token")
    private String token;

    private String id;
    private String mainTopOrganizationId;
    private String isEnabled;
    private String isOfficial;
    private String isUseOA;
    private String name;
    private String familyName;
    private String givenName;
    private String accountName;
    private String email;
    private String mobile;
    private String sex;
    private String idNumber;
    private String birthday;
    private String workPhone;
    private String shortPhone;
    private String workAddress;
    private String state;
    private String description;
//    private String post;
    private String secondaryEmail;
    private String hasDomainAccount;
    private SettingsResponse settings;
    private List<OrganizationsResponse> organizations;
    private String whenCreated;
    private String whenUpdated;
}
