package com.ruoyi.jjh.declaration.single.dto.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author dong
 * @since 2024/5/27 14:37
 */
@Data
@ApiModel("法人用户机构代码")
public class UserMainResponse {

    /**
     * 对应企业的组织机构代码
     */
    @ApiModelProperty(value = "对应企业的组织机构代码")
    private String organcode;


    /**
     * 对应企业的统一社会信用代码
     */
    @ApiModelProperty(value = "对应企业的统一社会信用代码")
    private String uscc;


    /**
     * 对应企业名称
     */
    @ApiModelProperty(value = "对应企业名称")
    private String epname;

}
