package com.ruoyi.jjh.ent.entity.request;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 政策文件请求类
 * @author du
 * @since 2024/5/6 14:34
 */
@Data
@ApiModel("政策文件请求类")
public class JPolicyFileRequest {
    /**
     * 政策文件名称
     */
    @ApiModelProperty("政策文件名称")
    private String name;

    /**
     * 发文单位
     */
    @ApiModelProperty("政策文件名称")
    private String enterUnit;

    /**
     * 政策等级
     */
    @Excel(name = "政策等级")
    @ApiModelProperty("政策等级")
    private String policyLevel;
}
