package com.ruoyi.jjh.ent.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.ent.entity.JEnterpriseContact;
import com.ruoyi.jjh.ent.entity.JPolicyFile;
import com.ruoyi.jjh.ent.entity.request.JEnterpriseContactRequest;
import com.ruoyi.jjh.ent.entity.request.JPolicyFileRequest;

/**
 * 企业联系人（j_enterprise_contact）表业务层
 * @author du
 * @since 2024/5/13 9:58
 */
public interface JEnterpriseContactService extends IService<JEnterpriseContact> {

    /**
     * 分页查询所有数据
     *
     * @param page     分页对象
     * @param jEnterpriseContactRequest 查询实体
     * @return 所有数据
     */
    Page<JEnterpriseContact> page(Page<JEnterpriseContact> page, JEnterpriseContactRequest jEnterpriseContactRequest);
}
