package com.ruoyi.jjh.ent.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.ent.entity.JMemorandum;
import com.ruoyi.jjh.ent.entity.request.JMemorandumRequest;

import java.util.List;

/**
 * 备忘录(JMemorandum)表服务接口
 *
 * @author makejava
 * @since 2024-03-26 10:34:03
 */
public interface JMemorandumService extends IService<JMemorandum> {

    /**
     * 分页查询所有数据
     *
     * @param page     分页对象
     * @param jMemorandumRequest 查询实体
     * @return 所有数据
     */
    Page<JMemorandum> page(Page<JMemorandum> page, JMemorandumRequest jMemorandumRequest);

    List<JMemorandum> page( JMemorandumRequest jMemorandumRequest);
    /**
     * 根据关联项目库ID查询该ID下的备忘录
     *
     * @param jMemorandumRequest 查询实体
     * @return 所有数据
     */
    List<JMemorandum> selectIdToAll(JMemorandumRequest jMemorandumRequest);
}

