package com.ruoyi.jjh.ent.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.ent.entity.JMemorandum;
import com.ruoyi.jjh.ent.entity.JPolicyFile;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.entity.request.JPolicyFileRequest;

/**
 * 政策文件（j_policy_file）表业务层
 * @author du
 * @since 2024/5/6 14:10
 */
public interface JPolicyFileService extends IService<JPolicyFile> {

    /**
     * 分页查询所有数据
     *
     * @param page     分页对象
     * @param jPolicyFileRequest 查询实体
     * @return 所有数据
     */
    Page<JPolicyFile> page(Page<JPolicyFile> page, JPolicyFileRequest jPolicyFileRequest);

}
