package com.ruoyi.jjh.declaration.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 审核申报记录查询
 * <p>
 *
 * @className: ApprovalDeclarationRecordsQueryDto
 * @author: emiya.xie
 * @create: 2023-09-09 15:07
 */
@Data
public class ApprovalDeclarationRecordsQueryDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "申报任务标题")
    private String enterpriseDirectory;

    @ApiModelProperty(value = "事项")
    private String matter;

    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "项目类型：也就是产品领域")
    private Integer productArea;

    @ApiModelProperty(value = "申报单位")
    private String enterpriseName;

    @ApiModelProperty(value = "申报单位ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "扶持方式")
    private Integer supportMethods;

    @ApiModelProperty(value = "项目开始时间")
    private Date startTime;

    @ApiModelProperty(value = "项目结束时间")
    private Date endTime;

    @ApiModelProperty(value = "审核状态")
    private Integer status;

    @ApiModelProperty(value = "用户id")
    private List<Long> userIds;

    @ApiModelProperty(value = "审批部门")
    private Long approvalDept;

    @ApiModelProperty(value = "审批状态集合")
    private List<Integer> approvalStatusStr;
}
