package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 资金信息详情对象 bms_funding_detail
 * 
 * @author farben
 * @date 2023-09-04
 */
@Data
public class BmsFundingDetailUpdateDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "资金信息详情id")
    private Long id;

    /** 模板类型：1：项目落户奖补，2：做大做强奖补 */
    @Excel(name = "模板类型：1：项目落户奖补，2：做大做强奖补")
    private Integer type;

    /** 对应模板id */
    @Excel(name = "对应模板id")
    private Long templateId;

    /** 详情id */
    @Excel(name = "详情id")
    private Long detailId;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 说明 */
    @Excel(name = "说明")
    private String illustrate;

    /** 金额 */
    @Excel(name = "金额")
    private Long amount;

}
