package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.jjh.declaration.entity.BmsOutQuitProducts;
import com.ruoyi.jjh.declaration.entity.BmsPlatformConstructionAward;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 2024年度淘汰落后和退出低端低效产能装备清单 bms_out_quit_products 修改
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsOutQuitProductsUpdateDto extends BmsOutQuitProducts {

    @ApiModelProperty(value = "记录id")
    private Long declarationRecordsId;


    @ApiModelProperty(value = "审批状态:0=待填报,1=初审中,2=复审中,3=终审中,5=评审通过,7=复审不通过,8=初审不通过,9=终审不通过，10=初审驳回")
    private Long status;
}
