package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 平台建设奖补对象 bms_platform_construction_award
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsPlatformConstructionAwardAddDto extends BmsEnterpriseBasicInfoAddDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 平台（项目）名称 */
    @Excel(name = "平台（项目）名称")
    private String platformName;

    /** 合作协议 */
    @Excel(name = "合作协议")
    private String agreement;

    @ApiModelProperty(value = "在线申报记录id")
    private Long declarationId;
}
