package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 场景开放奖补对象 bms_scene_opening_award
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsSceneOpeningAwardAddDto extends BmsEnterpriseBasicInfoAddDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 所属类型 */
    @Excel(name = "所属类型")
    private Long type;

    /** 公示、发文证明、专家评分表 */
    @Excel(name = "公示、发文证明、专家评分表")
    private String material;

    @ApiModelProperty(value = "在线申报记录id")
    private Long declarationId;
}
