package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.jjh.declaration.entity.BmsEnterpriseDirectory;
import com.ruoyi.jjh.declaration.entity.BmsTemplateInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 申报模板信息对象 bms_template_info
 * 
 * @author farben
 * @date 2023-08-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsTemplateInfoAddDto extends BmsTemplateInfo {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "企业名录")
    private List<BmsEnterpriseDirectory> enterpriseDirectoryList;


}
