package com.ruoyi.jjh.declaration.entity.dto;

import com.ruoyi.jjh.declaration.entity.BmsEnterpriseDirectory;
import com.ruoyi.jjh.declaration.entity.BmsTemplateRecord;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
 * 在线模板对象 bms_template_record
 * 
 * @author farben
 * @date 2023-09-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsTemplateRecordUpdateDto extends BmsTemplateRecord {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "企业名录")
    private List<BmsEnterpriseDirectory> enterpriseDirectoryList;

    @ApiModelProperty(value = "是否所有")
    private Integer isFrame;

}
