package com.ruoyi.jjh.declaration.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 市级评定Dto
 * <p>
 *
 * @className: MunicipalReviewInfoDto
 * @author: emiya.xie
 * @create: 2023-09-13 16:30
 */
@Data
public class MunicipalReviewDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "市级评定信息-old")
    private List<MunicipalReviewInfoDto> list;

    @ApiModelProperty(value = "市级评定信息-new")
    private List<BmsMunicipalBureauReviewQueryDto> reviewList;

}
