package com.ruoyi.jjh.declaration.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 申请记录信息新增-开放
 * <p>
 *
 * @className: OpenInterfaceApplyAddDto
 * @author: emiya.xie
 * @create: 2023-09-12 14:42
 */
@Data
public class OpenInterfaceApplyAddDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "申报模版类型")
    private Integer declarationTemplateType;

    @ApiModelProperty(value = "项目落户奖补新增Dto")
    private BmsProjectSettlementAwardAddDto bmsProjectSettlementAwardAddDto;

    @ApiModelProperty(value = "做大做强奖补新增Dto")
    private BmsBigStrongAwardAddDto bmsBigStrongAwardAddDto;

    @ApiModelProperty(value = "载体建设奖补新增Dto")
    private BmsCarrierConstructionAwardAddDto bmsCarrierConstructionAwardAddDto;

    @ApiModelProperty(value = "台建设奖补新增Dto")
    private BmsPlatformConstructionAwardAddDto bmsPlatformConstructionAwardAddDto;

    @ApiModelProperty(value = "品牌打造奖补新增Dto")
    private BmsBrandingAwardAddDto bmsBrandingAwardAddDto;

    @ApiModelProperty(value = "场景开放奖补新增Dto")
    private BmsSceneOpeningAwardAddDto bmsSceneOpeningAwardAddDto;

    @ApiModelProperty(value = "信用管理奖补新增Dto")
    private BmsCreditManagementAddDto bmsCreditManagementAddDto;

    @ApiModelProperty(value = "5G+工业互联网奖补新增Dto")
    private BmsIndustrialInternetAwardAddDto bmsIndustrialInternetAwardAddDto;

    @ApiModelProperty(value = "制造服务业有效投入奖补新增Dto")
    private BmsManufacturingServicesAwardAddDto bmsManufacturingServicesAwardAddDto;

    @ApiModelProperty(value = "物流发展奖补新增Dto")
    private BmsLogisticsDevelopmentAwardAddDto bmsLogisticsDevelopmentAwardAddDto;

    @ApiModelProperty(value = "两业融合奖补新增Dto")
    private BmsIntegrationIndustriesAddDto bmsIntegrationIndustriesAddDto;
}
