package com.ruoyi.jjh.declaration.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 审核申报记录查询
 * <p>
 *
 * @className: ApprovalDeclarationRecordsQueryDto
 * @author: emiya.xie
 * @create: 2023-09-09 15:07
 */
@Data
public class ApprovalDeclarationRecordsQueryVo implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "申报任务标题")
    private String enterpriseDirectory;

    @ApiModelProperty(value = "级别")
    private Integer level;

    @ApiModelProperty(value = "责任单位")
    private Integer responsibilityUnit;

    @ApiModelProperty(value = "审批状态(0=待审核.1=审批通过,2=审批驳回)")
    private Integer approvalStatus;

    @ApiModelProperty(value = "事项")
    private String matter;

//    @ApiModelProperty(value = "项目名称")
//    private String projectName;
//
//    @ApiModelProperty(value = "项目类型：也就是产品领域")
//    private Integer productArea;

    @ApiModelProperty(value = "申报单位")
    private String enterpriseName;

    @ApiModelProperty(value = "申报单位Id")
    private Long enterpriseId;

//    @ApiModelProperty(value = "扶持方式")
//    private Integer supportMethods;

    @ApiModelProperty(value = "申请时间")
    private Date createTime;

//    @ApiModelProperty(value = "项目开始时间")
//    private Date startTime;
//
//    @ApiModelProperty(value = "项目结束时间")
//    private Date endTime;

    @ApiModelProperty(value = "审核状态")
    private Integer status;

    @ApiModelProperty(value = "申报记录模板id")
    private Long templateRecordId;

    @ApiModelProperty(value = "申报记录模板id")
    private Long templateId;

    @ApiModelProperty(value = "记录id")
    private Long declarationRecordsId;

    @ApiModelProperty(value = "详情id")
    private Long detailId;

    @ApiModelProperty(value = "审批时间")
    private Date approvalTime;
}
