package com.ruoyi.jjh.declaration.entity.vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.declaration.entity.BmsEnterpriseDirectory;
import com.ruoyi.jjh.declaration.entity.BmsTemplateRecord;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 在线模板对象 bms_template_record
 *
 * @author farben
 * @date 2023-09-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsTemplateRecordVo extends BmsTemplateRecord {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "企业名录列表")
    private List<BmsEnterpriseDirectory> enterpriseDirectoryList;

    @ApiModelProperty(value = "责任单位 0：经发委:1：规建委:2：行审局:3：市监局")
    @Excel(name = "责任单位", readConverterExp = "0=经发委,1=规建委,2=行审局,3=市监局")
    private Long responsibilityUnit;

    @ApiModelProperty(value = "项目分类")
    private Integer projectClassify;
}
