package com.ruoyi.jjh.declaration.entity.vo;

import com.ruoyi.jjh.declaration.entity.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 记录详情
 * <p>
 *
 * @className: DeclarationRecordsVo
 * @author: emiya.xie
 * @create: 2023-09-05 14:58
 */
@Data
public class DeclarationRecordsVo implements Serializable {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "申报任务标题")
    public String enterpriseDirectory;
    @ApiModelProperty(value = "审核信息")
    public List<BmsApprovalInfoQueryVo> approvalInfoList;
    @ApiModelProperty(value = "申请记录")
    private BmsDeclarationRecords bmsDeclarationRecords;
    @ApiModelProperty(value = "企业基础信息对象")
    private BmsEnterpriseBasicInfo bmsEnterpriseBasicInfo;
    @ApiModelProperty(value = "1、项目落户奖补对象")
    private BmsProjectSettlementAwardQueryVo bmsProjectSettlementAwardQueryVo;
    @ApiModelProperty(value = "2、做大做强奖详情对象")
    private BmsBigStrongAwardQueryVo bmsBigStrongAwardQueryVo;
    @ApiModelProperty(value = "3、载体建设奖补对象")
    private BmsCarrierConstructionAward bmsCarrierConstructionAward;
    @ApiModelProperty(value = "4、平台建设奖补对象")
    private BmsPlatformConstructionAward bmsPlatformConstructionAward;
    @ApiModelProperty(value = "5、品牌打造奖补对象")
    private BmsBrandingAward bmsBrandingAward;
    @ApiModelProperty(value = "6、场景开放奖补对象")
    private BmsSceneOpeningAward bmsSceneOpeningAward;
    @ApiModelProperty(value = "7、信用管理奖补对象")
    private BmsCreditManagement bmsCreditManagement;
    @ApiModelProperty(value = "8、5G+工业互联网奖补对象")
    private BmsIndustrialInternetAward bmsIndustrialInternetAward;
    @ApiModelProperty(value = "9、制造服务业有效投入奖补对象")
    private BmsManufacturingServicesAward bmsManufacturingServicesAward;
    @ApiModelProperty(value = "10、物流发展奖补对象")
    private BmsLogisticsDevelopmentAward bmsLogisticsDevelopmentAward;
    @ApiModelProperty(value = "11、两业融合奖补对象")
    private BmsIntegrationIndustries bmsIntegrationIndustries;

    @ApiModelProperty(value = "12、2024年度淘汰落后和退出低端低效产能装备清单对象")
    private BmsOutQuitProducts bmsOutQuitProducts;
}
