package com.ruoyi.jjh.ent.entity.request;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 企业联系人请求类
 * @author du
 * @since 2024/5/13 10:06
 */
@Data
@ApiModel("企业联系人请求类")
public class JEnterpriseContactRequest {

    /**
     * 企业名称
     */
    @ApiModelProperty("企业名称")
    private String enterpriseName;

    /**
     * 统一社会信用代码
     */
    @ApiModelProperty("统一社会信用代码")
    private String enterpriseCode;
}
