package com.ruoyi.jjh.ent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.jjh.ent.entity.JMemorandum;
import com.ruoyi.jjh.ent.entity.request.JMemorandumRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 备忘录(JMemorandum)表数据库访问层
 *
 * @author makejava
 * @since 2024-03-26 10:34:03
 */
public interface JMemorandumMapper extends BaseMapper<JMemorandum> {

    /**
     * 分页查询所有数据
     *
     * @param page     分页对象
     * @param jMemorandumRequest 查询实体
     * @return 所有数据
     */
    Page<JMemorandum> page(Page<JMemorandum> page, @Param("req") JMemorandumRequest jMemorandumRequest);

    List<JMemorandum> page(@Param("req") JMemorandumRequest jMemorandumRequest);
    /**
     * 根据关联项目库ID查询该ID下的备忘录
     *
     * @param jMemorandumRequest 查询实体
     * @return 所有数据
     */
    List<JMemorandum> selectIdToAll(@Param("req") JMemorandumRequest jMemorandumRequest);
}

