package com.ruoyi.jjh.ent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.jjh.ent.entity.JPolicyFile;
import com.ruoyi.jjh.ent.entity.request.JPolicyFileRequest;
import org.apache.ibatis.annotations.Param;

/**
 * 政策文件（j_policy_file）表数据层
 * @author du
 * @since 2024/5/6 13:57
 */
public interface JPolicyFileMapper extends BaseMapper<JPolicyFile> {

    /**
     * 分页查询所有数据
     *
     * @param page        分页对象
     * @param jPolicyFileRequest 查询实体
     * @return 所有数据
     */
    Page<JPolicyFile> page(Page<JPolicyFile> page,@Param("req") JPolicyFileRequest jPolicyFileRequest);
}
