package com.ruoyi.jjh.ent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.jjh.declaration.entity.vo.BmsApprovalInfoQueryVo;
import com.ruoyi.jjh.ent.entity.JProject;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;

/**
 * 项目表(JProject)表数据库访问层
 *
 * @author makejava
 * @since 2024-03-25 11:49:34
 */
public interface JProjectMapper extends BaseMapper<JProject> {

    /**
     * 分页查询所有数据
     *
     * @param page     分页对象
     * @param jProject 查询实体
     * @return 所有数据
     */
    Page<JProject> page(Page<JProject> page,@Param("req") JProject jProject);

    List<JProject> page(@Param("req") JProject jProject);

    /**
     * 通过主键查询该项目的在线流程
     *
     * @param id 主键
     * @return 单条数据
     */
    List<BmsApprovalInfoQueryVo> getApprovalInfoList(@Param("id") Serializable id);



    List<JProject> selectAll(@Param("name") String name);
}

