package com.ruoyi.jjh.ent.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.jjh.ent.entity.JEnterpriseContact;
import com.ruoyi.jjh.ent.entity.request.JEnterpriseContactRequest;
import com.ruoyi.jjh.ent.mapper.JEnterpriseContactMapper;
import com.ruoyi.jjh.ent.service.JEnterpriseContactService;
import org.springframework.stereotype.Service;

/**
 * 企业联系人（j_enterprise_contact）表业务处理层
 * @author du
 * @since 2024/5/13 9:58
 */
@Service
public class JEnterpriseContactImpl extends ServiceImpl<JEnterpriseContactMapper, JEnterpriseContact> implements JEnterpriseContactService {

    /**
     * 分页查询所有数据
     *
     * @param page     分页对象
     * @param jEnterpriseContactRequest 查询实体
     * @return 所有数据
     */
    @Override
    public Page<JEnterpriseContact> page(Page<JEnterpriseContact> page, JEnterpriseContactRequest jEnterpriseContactRequest) {
        return baseMapper.page(page, jEnterpriseContactRequest);
    }
}
