package com.ruoyi.jjh.ent.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.jjh.ent.entity.request.JMemorandumRequest;
import com.ruoyi.jjh.ent.mapper.JMemorandumMapper;
import com.ruoyi.jjh.ent.entity.JMemorandum;
import com.ruoyi.jjh.ent.service.JMemorandumService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 备忘录(JMemorandum)表服务实现类
 *
 * @author makejava
 * @since 2024-03-26 10:34:03
 */
@Service("jMemorandumService")
public class JMemorandumServiceImpl extends ServiceImpl<JMemorandumMapper, JMemorandum> implements JMemorandumService {

    /**
     * 分页查询所有数据
     *
     * @param page        分页对象
     * @param jMemorandumRequest 查询实体
     * @return 所有数据
     */
    @Override
    public Page<JMemorandum> page(Page<JMemorandum> page, JMemorandumRequest jMemorandumRequest) {
        return baseMapper.page(page,jMemorandumRequest);
    }

    @Override
    public List<JMemorandum> page(JMemorandumRequest jMemorandumRequest) {
        return baseMapper.page(jMemorandumRequest);
    }

    /**
     * 根据关联项目库ID查询该ID下的备忘录
     *
     * @param jMemorandumRequest 查询实体
     * @return 所有数据
     */
    @Override
    public List<JMemorandum> selectIdToAll(JMemorandumRequest jMemorandumRequest) {
        return baseMapper.selectIdToAll(jMemorandumRequest);
    }

}

