package com.ruoyi.jjh.ent.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.jjh.ent.entity.JPolicyFile;
import com.ruoyi.jjh.ent.entity.request.JPolicyFileRequest;
import com.ruoyi.jjh.ent.mapper.JPolicyFileMapper;
import com.ruoyi.jjh.ent.service.JPolicyFileService;
import org.springframework.stereotype.Service;

/**
 * 政策文件（j_policy_file）表业务处理层
 * @author du
 * @since 2024/5/6 14:12
 */
@Service("jPolicyFileServiceImpl")
public class JPolicyFileServiceImpl extends ServiceImpl<JPolicyFileMapper, JPolicyFile> implements JPolicyFileService {

    /**
     * 分页查询所有数据
     *
     * @param page        分页对象
     * @param jPolicyFileRequest 查询实体
     * @return 所有数据
     */
    @Override
    public Page<JPolicyFile> page(Page<JPolicyFile> page, JPolicyFileRequest jPolicyFileRequest) {
        return baseMapper.page(page,jPolicyFileRequest);
    }
}
